Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::make_compressed_pair_fn Struct Reference

## Public Member Functions
template<typename First , typename Second >
constexpr auto | operator() (First &&f, Second &&s) const noexcept(noexcept(compressed_pair< bind_element_t< First >, bind_element_t< Second >>{ static_cast< First && >(f), static_cast< Second && >(s) })) -> decltype(compressed_pair< bind_element_t< First >, bind_element_t< Second >>